Bug 1474068 - Eclipse-pydev contains many duplicates
Eclipse-pydev contains many duplicates
Status: NEW
Product: Fedora
Classification: Fedora
Component: eclipse-pydev (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mat Booth
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-23 10:41 EDT by Christian Stadelmann
Modified: 2017-11-22 10:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A list of duplicates, created by fslint. (30.90 KB, text/plain)
2017-07-23 10:41 EDT, Christian Stadelmann
no flags Details
A list of duplicates, created by fslint (27.45 KB, text/plain)
2017-07-23 10:43 EDT, Christian Stadelmann
no flags Details

  None (edit)
Description Christian Stadelmann 2017-07-23 10:41:54 EDT
Created attachment 1303222 [details]
A list of duplicates, created by fslint.

Version-Release number of selected component (if applicable):
eclipse-pydev-5.8.0-1.fc26.x86_64

How reproducible:
always (Caused by packaging)

Steps to Reproduce:
1. Install eclipse-pydev
2. have a look at the installed files and folders

Actual results:
eclipse-pydev contains many files twice or even three times.

Expected results:
Don't contain files multiple times.

Additional info:
This bug mostly affects images, which are installed into both /usr/lib/eclipse/droplets/pydev-core/eclipse/plugins/org.python.pydev.shared_ui_5.8.0.v20170616-0956/icons/ and /usr/lib/eclipse/droplets/pydev-core/eclipse/plugins/org.python.pydev_5.8.0.v20170616-0956/icons/
Comment 1 Christian Stadelmann 2017-07-23 10:43 EDT
Created attachment 1303223 [details]
A list of duplicates, created by fslint
Comment 2 Mat Booth 2017-07-24 05:45:45 EDT
It's really an upstream decision, not a packaging problem, that multiple Pydev bundles contain icons with the same name.

I would not be comfortable deduplicating these icons them without first inspecting each one to make sure they are actually the same image, instead of different images that co-incidentally share a file name.

I filed a bug upstream to ask if de-duplication is something they might consider: https://www.brainwy.com/tracker/PyDev/832

Note You need to log in before you can comment on or make changes to this bug.